about summary refs log tree commit diff
path: root/test/pnmtile.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2024-01-14 19:05:28 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2024-01-14 19:05:28 +0000
commit49b0eb1a2a99dc82b81a9355bb7851db6423486a (patch)
tree23d3f3ff66a83e1968e648554a85c2f334302281 /test/pnmtile.test
parent771e1f9460d70eb92f07716f88d9caa95f86527a (diff)
downloadnetpbm-mirror-49b0eb1a2a99dc82b81a9355bb7851db6423486a.tar.gz
netpbm-mirror-49b0eb1a2a99dc82b81a9355bb7851db6423486a.tar.xz
netpbm-mirror-49b0eb1a2a99dc82b81a9355bb7851db6423486a.zip
Factor out 'test invalid' checks
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@4837 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pnmtile.test')
-rwxr-xr-xtest/pnmtile.test32
1 files changed, 6 insertions, 26 deletions
diff --git a/test/pnmtile.test b/test/pnmtile.test
index 74bae013..35addbec 100755
--- a/test/pnmtile.test
+++ b/test/pnmtile.test
@@ -21,29 +21,9 @@ echo ${PIPESTATUS[@]} ":" $?
 
 rm ${testimg2_ppm} ${testimg4_ppm}
 
-test_out=${tmpdir}/test_out
-
-echo 1>&2
-echo "Invalid command-line argument combinations." 1>&2
-echo "Error messages should appear below the line." 1>&2
-echo "-----------------------------------------------------------" 1>&2
-
-pnmtile 100 testgrid.pbm > ${test_out} || \
-  printf "Expected failure 1 "
-  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
-  rm -f ${test_out}
-
-pnmtile 100 0 testgrid.pbm > ${test_out} || \
-  printf "Expected failure 2 "
-  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
-  rm -f ${test_out}
-
-pnmtile 0 100 testgrid.pbm > ${test_out} || \
-  printf "Expected failure 3 "
-  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
-  rm -f ${test_out}
-
-pnmtile 100 100 100 testgrid.pbm > ${test_out} || \
-  printf "Expected failure 4 "
-  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
-  rm -f ${test_out}
+. ${srcdir}/test-invalid.inc
+
+invCmd "pnmtile 100 testgrid.pbm"
+invCmd "pnmtile 100 0 testgrid.pbm"
+invCmd "pnmtile 0 100 testgrid.pbm"
+invCmd "pnmtile 100 100 100 testgrid.pbm"